(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? module.exports = factory(require('jquery'), require('react')) :
  typeof define === 'function' && define.amd ? define(['jquery', 'react'], factory) :
  (global = global || self, global.useJQueryPlugin = factory(global.jQuery, global.React));
}(this, (function (jQuery, react) { 'use strict';

  jQuery = jQuery && Object.prototype.hasOwnProperty.call(jQuery, 'default') ? jQuery['default'] : jQuery;

  function useJQueryPlugin(effect, deps) {
      if (deps === void 0) { deps = [effect]; }
      var plugin = react.useCallback(effect, deps);
      var elementRef = react.useRef(null);
      react.useLayoutEffect(function () {
          var element = elementRef.current;
          if (element !== null) {
              var $element = jQuery(element);
              return plugin($element);
          }
      }, [plugin, elementRef]);
      return elementRef;
  }

  return useJQueryPlugin;

})));
//# sourceMappingURL=use-jquery-plugin.js.map
