import jQuery from 'jquery';
import { useCallback, useRef, useLayoutEffect } from 'react';

function useJQueryPlugin(effect, deps) {
    if (deps === void 0) { deps = [effect]; }
    var plugin = useCallback(effect, deps);
    var elementRef = useRef(null);
    useLayoutEffect(function () {
        var element = elementRef.current;
        if (element !== null) {
            var $element = jQuery(element);
            return plugin($element);
        }
    }, [plugin, elementRef]);
    return elementRef;
}

export default useJQueryPlugin;
